Quick Image Viewer (qiv) by Andy Spiegl
http://qiv.spiegl.de/ - qiv.andy@spiegl.de
---------------------------------------------------------------------------
Original author: Adam Kopacz / KLOGRAFX.DE Network
http://www.klografx.net/qiv/ - adam.k@klografx.de
===========================================================================


Installation (Linux/Solaris/FreeBSD):
-------------------------------------

 If you are using Debian/GNU Linux (or a derivative thereof) just type:
  dpkg-buildpackage -uc -B -m"your@email.address" -rfakeroot

 Various compile-time options are in the Makefile; be sure to at least
 read over them before typing "make install"... :)

 qiv-command
 -----------
 Rename "qiv-command.example" to "qiv-command" and copy it in your path if
 you want to launch other programs within qiv. This is very nice for stuff
 like "metacam", "jhead", "exiftool" etc. to show the EXIF-infos of digital photos.

 If you get errors like this: "/bin/sh: pkg-config: command not
 found" then your Imlib is too old.. this means you don't have the
 program pkg-config.  You should install pkg-config or replace
 the `pkg-config` calls in the Makefile:

 `pkg-config --cflags gdk-2.0 imlib2` -->
  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 \
  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo \
  -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12


 `pkg-config --libs gdk-2.0 imlib2` -->
  -lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lgio-2.0 -lpango-1.0 \
  -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lImlib2

 Solaris Users: please try "Makefile.Solaris" instead of "Makefile"
 if the default Makefile doesn't work for you.


Other OSes:
----------

 Try the Linux/Solaris/FreeBSD stuff... it would be nice if you could drop
 me some lines if qiv works also on other systems (HP-UX?) ...


Authors:
--------

 Adam Kopacz             <adam.k@klografx.de>
 Andy Spiegl             <qiv.andy@spiegl.de>
 Thomas Wiegner          <wiegner@gmx.de>
 ...and many more (see Changelog and/or Homepage)


Homepage:
---------

  http://qiv.spiegl.de/


Homepage of original author:
----------------------------

  http://www.klografx.net/qiv/


Misc:
-----

  Thanx to all programers, Owen Taylor and Rasterman (@REDHAT)
  for helping with patches and their knowledge :-)

  type "man qiv" for more information.
  See the Makefile if you have problems compiling.

  qiv is designed to work with ANY gtk/gdk, it also
  should work with ANY version of Imlib of Linux (Intel/Mac),
  Solaris (SunOS) and FreeBSD.
  As of version 2.2 imlib2 and gdk-2.0 are required, as imlib1
  and gtk-1.2 are basically obsolete. To use autorotation based
  on exif information gdk >= 2.12 is required.

  Up to release 1.3 of imlib2 there is a problem with the includes.
  Imlib2.h does not load Xlib.h.
  Workaround: to add the following (as very first line) to qiv.h:
   #include <X11/Xlib.h>


Centering:
----------

  As of version 1.7, qiv centers images by applying the correct window
  position and setting the window gravity to Static, so that window
  managers don't move the window when adding borders. If you come
  across a window manager that does mess up our centering, or has
  other problems with qiv, email Decklin (decklin@red-bean.com) and
  he'll quickly send off a patch to whoever maintains that WM. ;-)


Thumbnails:
-----------

  we don't plan on adding a thumbnail function.  sorry, but qiv is a
  QUICK image VIEWER and nothing more.  if you want more features
  (with Imlib) then try Electric Eyes or gqview or feh ...


Links:
------

  ImLib2   : http://freshmeat.net/projects/imlib2/
  gtk/gdk  : http://www.gtk.org/
  qiv-orig : http://www.klografx.net/qiv/
  qiv      : http://qiv.spiegl.de/
  git-repo : https://codeberg.org/ciberandy/qiv.git

Contact:
--------

  Mail bug, reports and comments to Andy Spiegl <qiv.andy@spiegl.de>

